%define name	gtk-qt-engine
%define libname %mklibname gtk-qt-engine
%define version	1.1
%define release	%mkrel 3

Summary:	Allow GTK to use Qt widget styles
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://gtk-qt.ecs.soton.ac.uk/files/%{version}/%{name}-%{version}.tar.bz2
Patch0:         gtk-qt-engine-1.1-fix-desktop-destination.patch
Patch1:		gtk-qt-engine-1.1-fix-kde-nsplugin.patch
Patch2:         gtk-qt-engine-1.1-fix-out-of-source-build.patch
License:	GPLv2+
Group:		Graphical desktop/Other
Url:		http://gtk-qt.ecs.soton.ac.uk/
BuildRequires:	gtk2-devel
BuildRequires:	kdelibs4-devel
BuildRequires:	kde4-macros
BuildRequires:	cmake
BuildRequires:	bonoboui-devel
Requires:	%{libname} = %{version}-%{release}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The GTK-Qt Theme Engine is a project allowing GTK to use Qt4 widget styles. 

It behaves like a normal GTK theme engine, but calls functions from Qt 
instead of doing the drawing itself. It also adds a configuration tool
to KDE4's System Settings - Appearance which let you change the theme
of GTK+ applications in KDE.

%package -n %{libname}
Summary:        Dynamic libraries for %{name}
Group:          System/Libraries
Requires:       %{name} = %{version}-%{release}
Conflicts:	gtk-qt-engine < 1.1-3

%description -n %{libname}
Dynamic libraries for %{name}.

%prep
%setup -q -n %{name}
%patch0 -p1 -b .fix-desktop-destination.patch
%patch1 -p1 -b .fix-kde-nsplugin.patch
%patch2 -p1 -b .fix-out-of-source-build.patch

%build
%cmake_kde4
make

%install
rm -rf %{buildroot}
make -C build DESTDIR=%buildroot install

%find_lang gtkqtengine

%clean
rm -rf %{buildroot}

%files -f gtkqtengine.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog
%{_kde_iconsdir}/kcmgtk.png
%{_kde_datadir}/kde4/services/kcmgtk4.desktop
%{_kde_datadir}/themes/Qt4/gtk-2.0/gtkrc
%{_kde_libdir}/kde4/kcm_gtk4.so

%files -n %libname
%{_libdir}/gtk-2.0/*/engines/libqt4engine.so


%changelog
* Sat Aug 02 2008 Frederik Himpe <fhimpe@mandriva.org> 1.1-3mdv2009.0
+ Revision: 260871
- Remove patch to transform it to an application instead of a service
  and instead move the desktop file to the services directory
- Add patch which fixes out of source tree build
- Use %%cmake_kde4 macro for configuration
- Mention configuration panel in System Settings
- Put GTK+ engine in lib package, so that 64 and 32 bits versions can
  be installed together

* Sat Aug 02 2008 Funda Wang <fundawang@mandriva.org> 1.1-2mdv2009.0
+ Revision: 260615
- rediff patch0 and patch1
- clearify the license

* Sat Aug 02 2008 Funda Wang <fundawang@mandriva.org> 1.1-1mdv2009.0
+ Revision: 260572
- Switch to kde4 version 1.1

* Thu Jun 19 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.8-5mdv2009.0
+ Revision: 226072
- Move to /opt

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon Feb 04 2008 Frederik Himpe <fhimpe@mandriva.org> 0.8-4mdv2008.1
+ Revision: 162432
- Fix Flash plug-in in Konqueror not working if gtk-qt-engine is
  being used (patch1 from Debian:
  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=460634)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 22 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.8-3mdv2008.0
+ Revision: 92275
- Do not use NoDisplay for Kcontol kcm

* Wed Sep 19 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.8-2mdv2008.0
+ Revision: 90495
- [BUGFIX] D not show on the menu (Bug #33662)

* Fri Aug 31 2007 Funda Wang <fundawang@mandriva.org> 0.8-1mdv2008.0
+ Revision: 76480
- fix url and tarball location
- New version 0.8
- Import gtk-qt-engine



* Thu Sep  7 2006 Couriousous <couriousous@mandriva.org> 0.7-2mdv2007.0
- fix #24967

* Tue Aug 22 2006 Couriousous <couriousous@mandriva.org> 0.7-1mdv2007.0
- 0.7

* Mon Jun 12 2006 David Walluck <walluck@mandriva.org> 0.7-0.20060204.1mdv2007.0
- CVS 20060204
- remove black menu patch (fixed upstream)
- rebuild for new gtk

* Sat Sep 10 2005 Couriousous <couriousous@mandriva.org> 0.7-0.20050303.3mdk
- Patch0: fix black menu #18423 (patch from ubuntu, thanks to Frederik Himpe)
- Patch1: fix compile on x86_64
- Do not add -pipe option to gcc, it fail for an unknow reason

* Thu Mar 17 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.7-0.20050303.2mdk
- Fix compile For arch64 From trem

* Thu Mar 03 2005 Couriousous <couriousous@mandrake.org> 0.7-0.20050303.1mdk
- Sync with cvs ( fix #14064 )

* Mon Jan 31 2005 Couriousous <couriousous@mandrake.org> 0.7-0.20050131.1mdk
- Sync with cvs
- Take some fix from Pascal Billery-Schneider <sagittarius@jabber.org> spec

* Sun Jan 30 2005 Couriousous <couriousous@mandrake.org> 0.6-1mdk
- First Mandrakelinux release
